﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;


public class Evidence : MonoBehaviour{

    public enum evidenceType
    {
        Clue,
        Statement,
        Corroboration,
        NullEvidence
    }

    //All
    public string id;
    public evidenceType type;
    public string details;

    //Clue
    public int timestamp;
    public RoomScript roomFound;
    public Vector2 location;
    public Vector2 size;

    //Statement
    public Person witness;

    //Corroboration
    public string e1_id;
    public string e2_id;
}
